%define LANG ja

Summary: Japanese manual pages
Name: man-pages-%LANG
Version: 20040715
Release: 2mdk
License: distributable
Group: System/Internationalization
Source0: http://www.linux.or.jp/JM/%name-%{version}.tar.bz2
Source2: http://xjman.dsl.gr.jp/xjman-0.6.tar.bz2
Source3: man-pages-ja-install.sh
Icon: books-%LANG.gif
URL: http://www.linux.or.jp/JM/download.html
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG


%description
The japanese man pages.

%prep

%setup -a2
# install X11 man pages
mv xjman-*/ manual
echo "xjman-4.0.3	Y" >> script/pkgs.list

%build
cp %SOURCE3 installman.sh
rm -f manual/*/man1/man.1 manual/*/man1/apropos.1 manual/*/man1/whatis.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_mandir/%LANG
mkdir -p $RPM_BUILD_ROOT/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

make install

rm -fr 

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG
rm -f $RPM_BUILD_ROOT/usr/share/man/README*


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory %_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi
# 1 means update
if [ "$1" = "1" ]; then
   # dirty hack to clean previous man-pages-ja installs
   [ -d var/catman/X11/%LANG ] && rm -rf /var/catman/X11/%LANG >& /dev/null
   [ -d var/catman/X11 ] && rmdir /var/catman/X11 >& /dev/null
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%doc ChangeLog README
%defattr(0644,root,man,755)
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
/%_mandir/%LANG/man*
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron

%changelog
* Mon Jul 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 20040715-2mdk
- fix cron entry

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 20040715-1mdk
- sanitize versionning
- new release (20040715 snapshot) (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Dec 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-3mdk
- new release (20031115 snapshot)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- new release (20030525 snapshot)

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- new release (20030115 snapshot)

* Mon Nov 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-10mdk
- new release (20021115 snapshot)

* Thu Oct 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-9mdk
- new release (20021015 snapshot)

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-8mdk
- Four pages were added, and five pages were updated

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-7mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.%LANG since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - remove translations

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-6mdk
- 20020415 snapshot

* Wed Mar 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-5mdk
- fix build
- fix makewhatis for non root build
- 20020315 update: 128% more man-pages (1112 => 2533 man-pages)

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- prevent conflicts with rpm
- fix permission on /usr/share/man/ja/*
- provides manpages-%%LANG
- don't overwrite crontab if user altered it

* Mon Sep 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.5-2mdk
- fixed path in "makewhatis" script 

* Wed Aug 30 2000 Denis Havlik <denis@mandrakesoft.com> 0.5-1mdk
- updated to  xjman 0.5 and man	20000815
- move xjman pages to %_mandir

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-8mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-7mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.4-6mdk
- spechelper, permissions
- Group: System/Internationalization

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Tue Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed Requires typo
- upgraded man pages

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm I mantained to Mandrake style
